ResultSet (apache-cassandra API)
Date: 2014-10-21

org.apache.cassandra.cql3

## Class ResultSet

- java.lang.Object
- - org.apache.cassandra.cql3.ResultSet

-     public class ResultSet
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ResultSet.Codec`
    `static class` | `ResultSet.Flag`
    `static class` | `ResultSet.Metadata`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ResultSet.Codec` | `codec`
    `ResultSet.Metadata` | `metadata`
    `java.util.List<java.util.List<java.nio.ByteBuffer>>` | `rows`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResultSet(java.util.List<ColumnSpecification> metadata)`
    `ResultSet(ResultSet.Metadata metadata, java.util.List<java.util.List<java.nio.ByteBuffer>> rows)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addColumnValue(java.nio.ByteBuffer value)`
    `void` | `addRow(java.util.List<java.nio.ByteBuffer> row)`
    `static ResultSet.Metadata` | `makeCountMetadata(java.lang.String ksName, java.lang.String cfName, ColumnIdentifier alias)`
    `ResultSet` | `makeCountResult(ColumnIdentifier alias)`
    `static ResultSet` | `makeCountResult(java.lang.String ksName, java.lang.String cfName, long count, ColumnIdentifier alias)`
    `void` | `reverse()`
    `int` | `size()`
    `java.lang.String` | `toString()`
    `CqlResult` | `toThriftResult()`
    `void` | `trim(int limit)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### codec

          public static final ResultSet.Codec codec

    - #### metadata

          public final ResultSet.Metadata metadata

    - #### rows

          public final java.util.List<java.util.List<java.nio.ByteBuffer>> rows

  - ### Constructor Detail

    - #### ResultSet

          public ResultSet(java.util.List<ColumnSpecification> metadata)

    - #### ResultSet

          public ResultSet(ResultSet.Metadata metadata,
                   java.util.List<java.util.List<java.nio.ByteBuffer>> rows)

  - ### Method Detail

    - #### size

          public int size()

    - #### addRow

          public void addRow(java.util.List<java.nio.ByteBuffer> row)

    - #### addColumnValue

          public void addColumnValue(java.nio.ByteBuffer value)

    - #### reverse

          public void reverse()

    - #### trim

          public void trim(int limit)

    - #### makeCountResult

          public ResultSet makeCountResult(ColumnIdentifier alias)

    - #### makeCountMetadata

          public static ResultSet.Metadata makeCountMetadata(java.lang.String ksName,
                                             java.lang.String cfName,
                                             ColumnIdentifier alias)

    - #### makeCountResult

          public static ResultSet makeCountResult(java.lang.String ksName,
                                  java.lang.String cfName,
                                  long count,
                                  ColumnIdentifier alias)

    - #### toThriftResult

          public CqlResult toThriftResult()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2014 The Apache Software Foundation